Bug 13596 - Prevent updatedatabase.pl from reverting utf8_mb4 databases to utf8
Summary: Prevent updatedatabase.pl from reverting utf8_mb4 databases to utf8
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11248 11906 11944 13264
Blocks: 11844 12832 13239 7380 12176 12637 13577 13579
  Show dependency treegraph
 
Reported: 2015-01-19 15:42 UTC by Martin Renvoize
Modified: 2016-07-21 20:51 UTC (History)
14 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.75 KB, patch)
2015-01-19 15:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.75 KB, patch)
2015-01-19 15:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.75 KB, patch)
2015-01-19 15:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.81 KB, patch)
2015-01-19 16:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.76 KB, patch)
2015-01-21 09:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.82 KB, patch)
2015-02-16 11:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] BUG 13596: Prevent utf8mb4 -> utf8 convertion (1.89 KB, patch)
2015-02-20 12:19 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-19 15:42:35 UTC
Bug #11944 fixed utf8 encoding koha wide, however as part of it, it updates all database table to utf8 charset and utf8_unicode_ci collation.

This is a good thing for anyone who left the default coallition to being with, but is a step backwards for those working on Wheezy and Ubuntu who may have chosen the utf8_mb4 pragma.

The update should first check for such cases, and skip if found.
Comment 1 Martin Renvoize 2015-01-19 15:44:33 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2015-01-19 15:49:31 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2015-01-19 15:52:35 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2015-01-19 16:04:55 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2015-01-21 09:55:30 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-02-16 11:46:42 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-02-20 12:19:44 UTC
Created attachment 36071 [details] [review]
[PASSED QA] BUG 13596: Prevent utf8mb4 -> utf8 convertion

utf8mb4 is a superset of utf8 and thus is compatible.  We should not
force an entire db change upon people who have proactively set utf8mb4
encoding before now.

This patch also removed the deprecated use of ->tables stanza in favour
of the table_info stanza.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-02-20 14:14:33 UTC
Patch pushed to master.

Thanks Martin!